
#include "main.h"
#include "solver.h"
#include "ec_util.h"

///::title:: EC solver (Energy Conservative) | for Shallow Water
///::depends:: ec_util

void solver_calc_flux(ConservedVars &F, vector &us, vector &Bs,
                      const AllVariables &lV, const AllVariables &rV,
                      int i, int j, int k, int d)
{
  ec_flux (F, U[i-DX[d]][j-DY[d]][k], U[i][j][k], Xtra[i-DX[d]][j-DY[d]][k], Xtra[i][j][k], d);
}
