
#include "main.h"
#include "space.h"

///::title:: First Order in Space
///::depends:: time_o1 substep_o12 powell_o1
///::consts:: ORDER=1
///::macro:: POWELL_SOURCE @ powell_source_o1

void left(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}

void right(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}
