
#include "topography.h"

#include "equation.h"
#include "multi.h"

///::title:: Smooth increase in bed height towards the "shore" (1D version)
///::vars:: BED_OFFSET=0.0

real b (real x, real y) {
  return BED_OFFSET + 1.99 - 1.05*x;
}
